<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xxl.job.executor.report.mapper.KuaishouReportHourlyCampaignMapper">
    <insert id="replaceBatch">
        replace into ctop_kuaishou_report_hourly_campaign(
        id,
        account_id,
        campaign_id,
        stat_date,
        stat_hour,
        charge,
        photo_click,
        photo_show,
        aclick,
        bclick,
        photo_click_ratio,
        action_ratio,
        impression_1k_cost,
        event_credit_grant_landing_page_cost ,
        event_credit_grant_landing_page,
        event_jin_jian_landing_page_cost,
        event_jin_jian_landing_page,
        form_action_ratio,
        form_cost,
        form_count,
        event_order_paid_cost,
        event_order_paid_purchase_amount,
        event_order_paid,
        event_credit_grant_app_ratio,
        event_credit_grant_app_cost,
        event_credit_grant_app,
        event_pay_purchase_amount_first_day,
        event_jin_jian_app_cost,
        event_jin_jian_app,
        event_register_cost,
        event_register,
        event_pay_roi,
        event_pay_purchase_amount,
        event_pay,
        event_pay_first_day_roi,
        event_pay_first_day,
        photo_click_cost,
        action_cost,
        share ,
        comment ,
        photo_like ,
        follow,
        report,
        block,
        negative,
        activation,
        submit,
        cancel_follow,
        download_started,
        download_completed,
        create_time,
        update_time)
        values
        <foreach collection="campaigns" item="campaign" separator=",">
            (#{campaign.id},
            #{campaign.accountId},
            #{campaign.campaignId},
            #{campaign.statDate},
            #{campaign.statHour},
            #{campaign.charge},
            #{campaign.photoClick},
            #{campaign.photoShow},
            #{campaign.aclick},
            #{campaign.bclick},
            #{campaign.photoClickRatio},
            #{campaign.actionRatio},
            #{campaign.impression1kCost},
            #{campaign.eventCreditGrantLandingPageCost},
            #{campaign.eventCreditGrantLandingPage},
            #{campaign.eventJinJianLandingPageCost},
            #{campaign.eventJinJianLandingPage},
            #{campaign.formActionRatio},
            #{campaign.formCost},
            #{campaign.formCount},
            #{campaign.eventOrderPaidCost},
            #{campaign.eventOrderPaidPurchaseAmount},
            #{campaign.eventOrderPaid},
            #{campaign.eventCreditGrantAppRatio},
            #{campaign.eventCreditGrantAppCost},
            #{campaign.eventCreditGrantApp},
            #{campaign.eventPayPurchaseAmountFirstDay},
            #{campaign.eventJinJianAppCost},
            #{campaign.eventJinJianApp},
            #{campaign.eventRegisterCost},
            #{campaign.eventRegister},
            #{campaign.eventPayRoi},
            #{campaign.eventPayPurchaseAmount},
            #{campaign.eventPay},
            #{campaign.eventPayFirstDayRoi},
            #{campaign.eventPayFirstDay},
            #{campaign.photoClickCost},
            #{campaign.actionCost},
            #{campaign.share},
            #{campaign.comment},
            #{campaign.photoLike},
            #{campaign.follow},
            #{campaign.report},
            #{campaign.block},
            #{campaign.negative},
            #{campaign.activation},
            #{campaign.submit},
            #{campaign.cancelFollow},
            #{campaign.downloadStarted},
            #{campaign.downloadCompleted},
            #{campaign.createTime},
            #{campaign.updateTime})
        </foreach>
    </insert>
</mapper>
